Search found 333 matches

by jbeuken
Mon Aug 03, 2020 10:27 am
Forum: Configuration
Topic: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]
Replies: 5
Views: 240

Re: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]

Hi, I noticed that during the minimum ( or standard ) installation of Ubuntu 19 or 20, the python cmd is not "defined". python3 is installed by default, but the link "python" to "python3" is not made . However, during configure, a python script is executed with : #!/usr/bin/env python one way to sol...
by jbeuken
Mon Jul 20, 2020 10:56 am
Forum: Configuration
Topic: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]
Replies: 5
Views: 240

Re: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]

Hi,

the youtube video is very old and not applicable with abinit 9..x version

As an attachment, a beta version of a document explaining
the instatllation on Ubuntu 19 but which is adapted for Ubuntu 20.

jmb
by jbeuken
Sat Jul 18, 2020 10:19 pm
Forum: Configuration
Topic: OpenMP Support with Intel 19.1 Compiler
Replies: 1
Views: 155

Re: OpenMP Support with Intel 19.1 Compiler

Hi, 1/ I am not able to build ABINIT v8.10.3 with openMP support. enable_openmp="yes" is not working. Seems like adding this to config file is causing the build system to start looking for gfortran compiler. If I switch this off then build goes forward fine. abinit 8.10.3 has never been officially t...
by jbeuken
Fri Jul 17, 2020 3:05 pm
Forum: Pseudopotentials and PAW datasets
Topic: The eigenvector with band 1 has zero norm
Replies: 5
Views: 213

Re: The eigenvector with band 1 has zero norm

Hi Miro, but set the parameter "pawecutdg" sorry, forgot to add pawecutdg 50 in tpaw1_1.in :? :? now ../../../src/98_main/abinit < tpaw1_1.files > log 2> err cat err no error... then, there's a problem with your abinit binary which version of MPI do you use ? can you create an ac file ( file.ac ) : ...
by jbeuken
Thu Jul 16, 2020 10:38 pm
Forum: Pseudopotentials and PAW datasets
Topic: The eigenvector with band 1 has zero norm
Replies: 5
Views: 213

Re: The eigenvector with band 1 has zero norm

Hi Miro, I compile abinit 8.10.3 with intel 17 >module list Currently Loaded Modulefiles: 1) intel/compiler/17.0.3 2) OpenMPI/2.0.2-intel-17.0 cd tests/tutorial/Input >cat tpaw1_1.files tpaw1_1.in tpaw1_1.out tpaw1_1i tpaw1_1o tpaw1_1tmp ../../Psps_for_tests/6c.pspnc ../../../src/98_main/abinit < tp...
by jbeuken
Thu Jul 09, 2020 12:51 pm
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

with OpenMPI 4.0.3 compiled by me with GNU 8.3.1, all tests succeeded :)

Code: Select all

Suite   failed  passed  succeeded  skipped  disabled  run_etime  tot_etime
paral        0      11         30       75         0     428.21     435.52
the openmpi package is too old and/or not complete :?
by jbeuken
Thu Jul 09, 2020 12:03 pm
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

concerning the parallel tests... No YAML Error found in [paral][t77_MPI4][np=4] I also observed that some tests ( 21,22,24,26,41,51,77) crashed, all with the same error... :cry: this is caused either to the compiler version ( GNU 8.3.1 ) or a problem with OpenMPI 2.1.1 ( old ;) ) [paral][t80_MPI1][n...
by jbeuken
Thu Jul 09, 2020 11:54 am
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

Sorry, I didn't know the actual core count of your machine... so it's better to use -j 4 or -n 4 -j 1 for parallel jobs concerning the GPU, it's quite complicated to install the tools to use a GPU ( CUDA, MAGMA, kernel driver,... ). And finally, not to gain in performance... it's a matter of a speci...
by jbeuken
Wed Jul 08, 2020 7:36 pm
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

there are a lot of mistakes/typos in this cmd ./configure --with-dft-flavor="libxc" --enable-linalg=yes --with-trio-flavor="netcdf" --enable-openmpi="yes" with_openmpi="yes" with_mpi="yes" --enable-mpi="yes" try this ( now , really tested under Fedora 29 ;) ): yum install -y openmpi openmpi-devel mo...
by jbeuken
Wed Jul 08, 2020 4:09 pm
Forum: Configuration
Topic: Configure says HDF5 and netCDF have MPI support but the code doesn't (v9.0.4)
Replies: 3
Views: 107

Re: Configure says HDF5 and netCDF have MPI support but the code doesn't (v9.0.4)

With all packages installed, ABINIT's build system (BS) detects serial and parallel installed versions of HDF5 and netCDF . Unfortunately, the design of the packages is badly configured... :cry: In addition, there are toxic dependencies... :cry: e.g., installation of parallel netCDF implies installa...
by jbeuken
Wed Jul 08, 2020 12:38 pm
Forum: Configuration
Topic: Configure says HDF5 and netCDF have MPI support but the code doesn't (v9.0.4)
Replies: 3
Views: 107

Re: Configure says HDF5 and netCDF have MPI support but the code doesn't (v9.0.4)

Hi Martin,

which OS ?
if ubuntu, output of :

Code: Select all

dpkg -l | egrep -E "openmpi|hdf5|netcdf"
by jbeuken
Fri Jul 03, 2020 8:40 pm
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

Dear ssh77, * C compiler : gnu version 8.3 * Fortran compiler: gnu version 8.3 * architecture : unknown unknown (64 bits) ... * OpenMP enabled : no (collapse: ignored) * MPI enabled : no * MPI-IO enabled : no * GPU enabled : no (flavor: none) still no MPI support -> "MPI enable : no " :roll: which m...
by jbeuken
Sat Jun 27, 2020 10:04 am
Forum: Build system
Topic: Make fails due to automake version
Replies: 1
Views: 140

Re: Make fails due to automake version

Hi,

Code: Select all

wget https://www.abinit.org/sites/default/files/packages/abinit-8.10.3.tar.gz
tar xzf abinit-8.10.3.tar.gz
cd abinit-8.10.3/
./configure
make -j 12
works for me...

where did you find the tarball?
by jbeuken
Fri Jun 26, 2020 6:11 pm
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

Hi ssh77,

can you try this :

Code: Select all

yum install netcdf
yum install lapack blas

module load mpi/openmpi-x86_64

./configure --with-dft-flavor="libxc" --enable-linalg=yes --with-trio-flavor="netcdf" with_mpi="yes"
by jbeuken
Sat Jun 20, 2020 10:31 pm
Forum: Configuration
Topic: Make error 9.0.4 [SOLVED]
Replies: 4
Views: 185

Re: Make error 9.0.4 [SOLVED]

Hi, The suggestion of gmatteo is the solution ! I'm just tested under Fedora 32 / OpenMPI / GNU 10.1 ( under VirtualBox VM ) I don't know your ac9 file, but here's mine. FCFLAGS_EXTRA="-g -O2 --free-line-length-none -fallow-argument-mismatch -w" with_mpi="${MPI_HOME}" enable_mpi_io="yes" with_linalg...
by jbeuken
Sat Jun 20, 2020 6:43 pm
Forum: Configuration
Topic: Make error 9.0.4 [SOLVED]
Replies: 4
Views: 185

Re: Make error 9.0.4 [SOLVED]

Hi,

GNU 10.1 is not yet supported...
The last GNU version supported is 9.3

I tried, but, yes, there are problems... :roll: :roll:
See:
https://gcc.gnu.org/gcc-10/porting_to.html

jmb
by jbeuken
Sat Jun 20, 2020 10:18 am
Forum: Configuration
Topic: Recompiling Abinit with multicore support [SOLVED]
Replies: 16
Views: 503

Re: Recompiling Abinit with multicore support [SOLVED]

Hi ssh7,

Can you give me some information?
What is the OS and version of your laptop?
How did you compile ABINIT ( compiler, linalg ) ?
What is the configure command you used ?

thx

jmb
by jbeuken
Sun May 31, 2020 4:10 pm
Forum: Configuration
Topic: NetCDF Fortran is not WORKING in 9.0.4
Replies: 1
Views: 183

Re: NetCDF Fortran is not WORKING in 9.0.4

Hi,
need infos like config.log...
but, perhaps, a problem of depencies ( missing libs )

job
by jbeuken
Mon May 25, 2020 9:36 am
Forum: Configuration
Topic: 9.0.4 doesn't build: no Makefile is created by the configure process
Replies: 1
Views: 193

Re: 9.0.4 doesn't build: no Makefile is created by the configure process

Hi, wget https://www.abinit.org/sites/default/files/packages/abinit-9.0.4.tar.gz --2020-05-25 09:21:27-- https://www.abinit.org/sites/default/files/packages/abinit-9.0.4.tar.gz ... 2020-05-25 09:21:28 (70.2 MB/s) - ‘abinit-9.0.4.tar.gz’ saved [87453615/87453615] tar xzf abinit-9.0.4.tar.gz cd abinit...
by jbeuken
Fri May 15, 2020 5:34 pm
Forum: Configuration
Topic: error while executing make for abinit-9.0.2
Replies: 3
Views: 341

Re: error while executing make for abinit-9.0.2

--with-linalg-incs=" -I/home/ycyer/Opt/abinit-9.0.2/fallbacks/install/gnu/8.3/linalg/abinit_6.10//include" \ --with-linalg-libs="-L/home/ycyer/Opt/abinit-9.0.2/fallbacks/install/gnu/8.3/linalg/abinit_6.10//lib " \ it can obviously never work! the library "linalg" ( lapack, openblas, atlas, mkl ) mu...
by jbeuken
Mon May 04, 2020 10:06 pm
Forum: Configuration
Topic: error while executing make for abinit-9.0.2
Replies: 3
Views: 341

Re: error while executing make for abinit-9.0.2

Hi,

Code: Select all

LINALG flavor : none (libs: ignored)
no linalg : strange...

can you send me the ouput of :

Code: Select all

cat fallbacks/build-abinit-fallbacks.sh
A+
by jbeuken
Wed Apr 22, 2020 12:53 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 365

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

can you try the first test with this ac file FC=mpiifort CC=mpiicc CXX=mpiicpc enable_mpi="yes" enable_mpi_io="yes" with_linalg_flavor="mkl" with_linalg_libs="-L${MKLROOT}/lib/intel64 -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread -lm -ldl" with_fft_flavor="dfti" with_fft_libs="-L${MKLROOT}/...
by jbeuken
Tue Apr 14, 2020 12:24 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 365

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

ok with intel 15... :
which kind of intel package ?
- Parallel Studio XE Professional Edition ?
- Parallel Studio XE Cluster Edition for Linux ( include MPI stack ) ?
which version of MPI ? ( MPICH 3 / OpenMPI ) ?

can you show me the content of your ac file ?

jmb
by jbeuken
Mon Apr 13, 2020 9:02 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 365

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

Hi,

Centos 5.10 is too old...

What is the version of your compiler ( GNU I suppose ) ?

GNU gfortran < 5.3 is no more supported

regards

jmb
by jbeuken
Tue Mar 03, 2020 5:15 pm
Forum: Testing and Documentation
Topic: An error occurred while running abinit without root privilege.
Replies: 2
Views: 270

Re: An error occurred while running abinit without root privilege.

Hi,

Is it repeatable?

Which MPI package ( MPICH, OpenMPI ) did you use and which version?

Which compiler ?

jmb